#!/usr/bin/env bash

set -e

BIN_DIR="/usr/local/bin"

echo "📦 Deploying Genesis Tools..."

declare -a SCRIPTS=(
  "venv_launcher.sh"
  "KodakMomentV1.sh"
)

for script in "${SCRIPTS[@]}"; do
  if [[ -f "$script" ]]; then
    echo "🔁 Installing $script to $BIN_DIR..."
    cp -f "$script" "$BIN_DIR/${script%.sh}"
    chmod +x "$BIN_DIR/${script%.sh}"
  else
    echo "⚠️  Warning: $script not found in $(pwd)"
  fi
done

echo "✅ Deployment complete. Try running: venv_launcher --check"
